package com.fs.websocket.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
//@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SendMsgVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("用户类型，1-管理员，2-用户")
    private Integer userType;

    @ApiModelProperty("课程id")
    private Long courseId;

    @ApiModelProperty("视频id")
    private Long videoId;

    @ApiModelProperty("评论类型 1：评论，2：回复")
    private Integer type;

    @ApiModelProperty("消息代码，heartbeat-检测心跳；sendMsg-发送消息")
    private String cmd;

    @ApiModelProperty("消息内容")
    private String msg;


}
